%define module_name HADaemon-Control
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Path.pm) perl(IPC/ConcurrencyLimit/WithStandby.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(POSIX.pm) perl(Parse/CPAN/Meta.pm) perl(Scalar/Util.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.005
Release: alt1
Summary: Create init scripts for Perl high-available (HA) daemons
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IK/IKRUGLOV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
HADaemon::Control provides a library for creating init scripts for HA daemons in perl.
It allows you to run one or more main processes accompanied by a set of standby processes.
Standby processes constantly check presence of main ones and if later exits or dies
promote themselves and replace gone main processes. By doing so, HADaemon::Control
achieves high-availability and fault tolerance for a service provided by the deamon.
Your perl script just needs to set the accessors for what and how you
want something to run and the library takes care of the rest.

The library takes idea and interface from the Daemon::Control manpage and combine them
with facilities of the IPC::ConcurrencyLimit::WithStandby manpage. the IPC::ConcurrencyLimit::WithStandby manpage
implements a mechanism to limit the number of concurrent processes in a cooperative
multiprocessing environment. For more information refer to the documentation
of the IPC::ConcurrencyLimit manpage and the IPC::ConcurrencyLimit::WithStandby manpage


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/H*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.005-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 1.003-alt1
- regenerated from template by package builder

* Sat Nov 14 2015 Igor Vlasenko <viy@altlinux.ru> 1.002-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- regenerated from template by package builder

* Mon Jan 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1
- regenerated from template by package builder

* Mon Jun 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1
- initial import by package builder

